com.sun.jna.platform.win32

## Class Netapi32.SESSION_INFO_10

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Netapi32.SESSION_INFO_10

Enclosing interface:
  Netapi32

    @Structure.FieldOrder(value={"sesi10_cname","sesi10_username","sesi10_time","sesi10_idle_time"})
    public static class Netapi32.SESSION_INFO_10
    extends Structure

Contains information about the session, including name of the computer; name of the user; and active and idle times for the session.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`java.lang.String` `sesi10_cname`
`int` `sesi10_idle_time`
`int` `sesi10_time`
`java.lang.String` `sesi10_username`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SESSION_INFO_10()`
`SESSION_INFO_10(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sesi10_cname

    public java.lang.String sesi10_cname

#### sesi10_username

    public java.lang.String sesi10_username

#### sesi10_time

    public int sesi10_time

#### sesi10_idle_time

    public int sesi10_idle_time

### Constructor Detail

#### SESSION_INFO_10

    public SESSION_INFO_10()

#### SESSION_INFO_10

    public SESSION_INFO_10(Pointer p)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.